Page MenuHomeVyOS Platform

NHRP: Add debugging information to syslog
Closed, ResolvedPublicFEATURE REQUEST

Description

Sometimes for deep troubleshooting necessary to have additional NHRP information in the Syslog.
I propose to add facility local7.

Details

Difficulty level
Normal (likely a few hours)
Version
-
Why the issue appeared?
Will be filled on close
Is it a breaking change?
Perfectly compatible

Event Timeline

Dmitry changed the task status from Open to In progress.May 9 2020, 1:17 PM
Dmitry claimed this task.
Dmitry created this task.
Dmitry changed the task status from In progress to Needs testing.May 11 2020, 12:54 PM

Successfully tested on the VyOS 1.3-rolling-202005130117.
Full opennhrp logs might be enabled by the following command

set system syslog global facility daemon level debug
Dmitry reopened this task as Backport pending.May 13 2020, 7:20 PM
dmbaturin changed Difficulty level from Unknown (require assessment) to Normal (likely a few hours).